
#include "Viral_Marketing.h"

sta_t sta_v;

int main( int argc, char** argv)
{
	int opt;
	
	if( argc != 2)
	{
	  printf( "Incorrect usage:\n<./J-MIN-Seed>  <Option>\n \
	  \tOption = 1: Run J-MIN-Seed program based on \"config.txt\".\n\
	  \tOption = 2: Remove the multiple edges based on \"remove_multiple_edges_config.txt\"\n\
	  \tOption = 3: Sample the graphs based on \"sample_graph_config.txt\"\n");
	  //\tOption = 4: Generate power law graph based on \"power_law_graph_generation_config.txt\"\n");
	  
	  return 0;
	}
	
	opt = atoi( argv[ 1]);
	
	if( opt == 1)
	  test_greedy_alg( );
	else if( opt == 2)
	  remove_multiple_edges( );
	else if( opt == 3)
	  sample_graph( );  
	//else if( opt == 4)
	//  power_law_preprocess( );
	else
	  printf( "The option is not supported.\n");

	return 0;
}
